# Get total record count of consumers

This endpoint gets the total record count returned using the required and optional properties passed in. This endpoint does not count against the package usage.

Endpoint: POST /ConsumerTwo/doCount

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Request fields (application/json):

  - `CustomerID` (string, required)
    The [License Key](https://docs.melissa.com/melissa/license/license-information.html) issued by Melissa.

  - `Includes` (object, required)
    Any parameter you would like to include in the query.

Requires at least one from:
- Zips
- Cities
- Radius
- ShapeWKTs

  - `Includes.Zips` (array)
    A list of Zips objects containing Zip codes and optionally Plus4.

  - `Includes.Zips.Zip` (string, required)

  - `Includes.Zips.Plus4` (string)

  - `Includes.Cities` (array)
    A list of cities objects each containing City and State.

  - `Includes.Cities.City` (string, required)

  - `Includes.Cities.State` (string, required)

  - `Includes.Radius` (object)
    A Radius object containing a Latitude, Longitude, and Distance represented in miles.

  - `Includes.Radius.Latitude` (number, required)

  - `Includes.Radius.Longitude` (number, required)

  - `Includes.Radius.Distance` (number, required)

  - `Includes.ShapeWKTs` (array)
    A list of WKT polygon strings

  - `Includes.RBDI` (array)
    An RBDI code.

  - `Includes.FIPSCode` (array)
    A list of FIPSCodes.

  - `Includes.AddressStreetName` (array)
    A list of address street name objects.

  - `Includes.AddressStreetName.ZipCode` (string)

  - `Includes.AddressStreetName.Street` (string)

  - `Excludes` (object)
    Any parameter you would like to exclude in the query.

  - `Excludes.Zips` (array)
    A list of Zips objects containing Zip codes and optionally Plus4.

  - `Excludes.Zips.Zip` (string, required)

  - `Excludes.Zips.Plus4` (string)

  - `Excludes.Cities` (array)
    A list of cities objects each containing City and State.

  - `Excludes.Cities.City` (string, required)

  - `Excludes.Cities.State` (string, required)

  - `Excludes.RBDI` (array)
    An RBDI code.

  - `Excludes.FIPSCode` (array)
    A list of FIPSCodes.

  - `Excludes.AddressStreetName` (array)
    A list of address street name objects.

  - `Excludes.AddressStreetName.ZipCode` (string)

  - `Excludes.AddressStreetName.Street` (string)

## Response 200 fields (application/json):

  - `Count` (integer)
    Number of records returned by the query.

  - `JobId` (string)
    The JobId to be used to purchase and access the full dataset.

  - `ResultCode` (string)
    Success or Error codes based on the response/request.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


